Summary:	MPEG audio decoder library
Name:		libmad
Version:	0.15.1b
Release:	3%{?dist}
License:	GPLv2+
URL:		http://www.underbit.com/products/mad/
Source0:	http://download.sourceforge.net/mad/%{name}-%{version}.tar.gz
Patch3000:	libmad-0.15.1b-multiarch.patch
Patch3001:	libmad-0.15.1b-ppc.patch
Patch3002:	Provide-Thumb-2-alternative-code-for-MAD_F_MLN.diff
Patch3003:	libmad.thumb.diff
Patch3004:	https://gitweb.gentoo.org/repo/gentoo.git/plain/media-libs/libmad/files/libmad-0.15.1b-cflags.patch
Patch3005:	https://gitweb.gentoo.org/repo/gentoo.git/plain/media-libs/libmad/files/libmad-0.15.1b-cflags-O2.patch
Patch3006:	length-check.patch
Patch3007:	md_size.diff

BuildRequires: make
BuildRequires: automake autoconf libtool


%description
MAD is a high-quality MPEG audio decoder that currently supports MPEG-1 and the MPEG-2 extension 
to Lower Sampling Frequencies, as well as the so-called MPEG 2.5 format. It implements all three 
audio layers (Layer I, Layer II, and Layer III a.k.a. MP3).

%package        devel
Summary:	MPEG audio decoder library development files
Requires:	%{name} = %{version}-%{release}

%description	devel
This packages provides MPEG audio decoder library development files.


%prep
%setup -q
%autopatch -p1 -m 3001 -M 3007

%ifarch x86_64
%patch3000 -p1
%endif

touch -r aclocal.m4 configure.ac NEWS AUTHORS ChangeLog

%{__cat} << EOF > mad.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: mad
Description: MPEG Audio Decoder
Requires:
Version: %{version}
Libs: -L%{_libdir} -lmad -lm
Cflags: -I%{_includedir}
EOF

%build
autoreconf -sfiv
%configure \
	--enable-fpm=64bit \
	--disable-dependency-tracking \
	--enable-accuracy \
	--disable-static    

%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
install -D -p -m 0644 mad.pc %{buildroot}%{_libdir}/pkgconfig/mad.pc
touch -r mad.h.sed %{buildroot}/%{_includedir}/mad.h

%files
%license COPYING COPYRIGHT
%doc CHANGES CREDITS README TODO
%{_libdir}/libmad.so.*

%files devel
%{_libdir}/libmad.so
%{_libdir}/pkgconfig/mad.pc
%{_includedir}/mad.h

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.1b-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.1b-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Wang Guodong <gordonwwang@tencent.com> - 0.15.1b-1
- package init.
